CREATE TABLE fco_administradoras
(	
  codigo char(10) NOT NULL,
  registro_fiscal varchar2(10) NULL,
  digito_verificacion	char(1)	NULL,
  direccion	varchar2(40) NULL,
  telefono	varchar2(20) NULL,
  cod_super	varchar2(15) NULL,
  cod_alterno	varchar2(20) NULL,
  tipo	char(3) NOT NULL,
  agrupacion	char(10) NOT NULL,
  forma_presentacion	char(1) NOT NULL,
  departamento char(2)  NULL,
  municipio char(3)  NULL,
  Constraint PK_fco_administradoras PRIMARY KEY (codigo, tipo)
  USING INDEX TABLESPACE TS_ADAMINDICES,
  Constraint ck_adm_tipo CHECK (tipo IN ('EPS','AFP','FPV','CCF')),
  Constraint ck_adm_forma CHECK (forma_presentacion IN ('U','C','S'))
)
TABLESPACE TS_ADAMDATOS;

ALTER TABLE fco_administradoras add(
	CONSTRAINT fk_fco_administradoras_01 
	FOREIGN KEY (agrupacion,codigo) 
	REFERENCES datos_agr_trab (agrupacion,dato)
);

CREATE PUBLIC SYNONYM fco_administradoras FOR ADAM.fco_administradoras;
GRANT ALL ON fco_administradoras TO ADAMA;
